StartupEvents.registry('palladium:condition_serializer', (event) => {
    event.create('arrzenhanced:is_mainhand')
    .addProperty("hand", "string", "right", "left or right. returns true")
    .test((entity, props) => {
        let chosenHand = props.get("hand")
        return entity.getMainArm().toString().toLowerCase() == chosenHand
    })
});